## org.openorb.policy
Class ProfilePriorityValueHelper

    java.lang.Object
      |
      +--org.openorb.policy.ProfilePriorityValueHelper

public class ProfilePriorityValueHelper
extends java.lang.Object

Helper class for : ProfilePriorityValue

Author:
  OpenORB Compiler

Constructor Summary
`ProfilePriorityValueHelper()`

Method Summary
`static ProfilePriorityValue` `extract(Any a)` Extract ProfilePriorityValue from an any
`static java.lang.String` `id()` Return the ProfilePriorityValue IDL ID
`static void` `insert(Any a, ProfilePriorityValue t)` Insert ProfilePriorityValue into an any
`static ProfilePriorityValue` `read(InputStream istream)` Read ProfilePriorityValue from a marshalled stream
`static TypeCode` `type()` Return the ProfilePriorityValue TypeCode
`static void` `write(OutputStream ostream, ProfilePriorityValue value)` Write ProfilePriorityValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilePriorityValueHelper

    public ProfilePriorityValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ProfilePriorityValue t)

  Insert ProfilePriorityValue into an any
  Parameters:
    `a` - an any
    `t` - ProfilePriorityValue value

### extract

    public static ProfilePriorityValue extract(Any a)

  Extract ProfilePriorityValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfilePriorityValue value

### type

    public static TypeCode type()

  Return the ProfilePriorityValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfilePriorityValue IDL ID
  Returns:
    an ID

### read

    public static ProfilePriorityValue read(InputStream istream)

  Read ProfilePriorityValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfilePriorityValue value

### write

    public static void write(OutputStream ostream,
                             ProfilePriorityValue value)

  Write ProfilePriorityValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfilePriorityValue value